Package org.zkoss.zk.ui.event

## Class DOMExceptionEvent

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.zk.ui.event.DOMExceptionEvent

- All Implemented Interfaces:
    `java.io.Serializable`

      public class DOMExceptionEvent
      extends Event

  Represents an event caused by DOMException at client. Refers to https://developer.mozilla.org/en-US/docs/Web/API/DOMException
  Since:
    8.6.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DOMExceptionEvent​(java.lang.String name, Component target, java.lang.String errorName, java.lang.String errorMessage)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DOMExceptionEvent` | `getDOMExceptionEvent​(AuRequest request)` | Creates an instance of `DOMExceptionEvent` based on the specified request.
    `java.lang.String` | `getErrorMessage()` | Returns a message or description associated with the given error name.
    `java.lang.String` | `getErrorName()` | Returns the error name, to see common error names, please refer to https://developer.mozilla.org/en-US/docs/Web/API/DOMException#Error_names

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getData, getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DOMExceptionEvent

          public DOMExceptionEvent​(java.lang.String name,
                                   Component target,
                                   java.lang.String errorName,
                                   java.lang.String errorMessage)

  - ### Method Detail

    - #### getDOMExceptionEvent

          public static DOMExceptionEvent getDOMExceptionEvent​(AuRequest request)

      Creates an instance of `DOMExceptionEvent` based on the specified request.

    - #### getErrorName

          public java.lang.String getErrorName()

      Returns the error name, to see common error names, please refer to https://developer.mozilla.org/en-US/docs/Web/API/DOMException#Error_names
      Returns:
        error name

    - #### getErrorMessage

          public java.lang.String getErrorMessage()

      Returns a message or description associated with the given error name.
      Returns:
        error message